﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Este código se generó a partir de una plantilla.
//
//     Los cambios manuales en este archivo pueden causar un comportamiento inesperado de la aplicación.
//     Los cambios manuales en este archivo se sobrescribirán si se regenera el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace EMartVG.Models
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class dbEmart : DbContext
    {
        public dbEmart()
            : base("name=dbEmart")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<Carro> Carro { get; set; }
        public virtual DbSet<Categorias> Categorias { get; set; }
        public virtual DbSet<Detalle_Compra> Detalle_Compra { get; set; }
        public virtual DbSet<Estado_Categorias> Estado_Categorias { get; set; }
        public virtual DbSet<Estado_Compras> Estado_Compras { get; set; }
        public virtual DbSet<Estado_Marca> Estado_Marca { get; set; }
        public virtual DbSet<Estado_Productos> Estado_Productos { get; set; }
        public virtual DbSet<Estado_Usuarios> Estado_Usuarios { get; set; }
        public virtual DbSet<Marca> Marca { get; set; }
        public virtual DbSet<Orden> Orden { get; set; }
        public virtual DbSet<Producto> Producto { get; set; }
        public virtual DbSet<Roles_Usuarios> Roles_Usuarios { get; set; }
        public virtual DbSet<SuvNavCategorias> SuvNavCategorias { get; set; }
        public virtual DbSet<Usuarios> Usuarios { get; set; }
    }
}
